# class hk_kdegridpart

More...

Internal Use Only
Definition | `#include <hk_kdeclasses/hk_kdeclasses/hk_kdegrid.h>`
Inherits | KParts::ReadWritePart (unknown) [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- hk_kdegridpart (QWidget* parentWidget, const char* widgetname,QObject* parent, const char* name, const QStringList &args)
- virtual ~hk_kdegridpart ()
- virtual void setReadWrite (bool rw)
- hk_kdegrid* grid (void)

#### Public Static Methods

- static KAboutData* createAboutData ()

#### Protected Methods

- virtual bool openFile ()
- virtual bool saveFile ()

#### Protected Slots

- virtual void show_gridcolumndialog (void)

## Detailed Description

hk_kdegridpart (QWidget* parentWidget, const char* widgetname,QObject* parent, const char* name, const QStringList &args)

### hk_kdegridpart

~hk_kdegridpart ()

### ~hk_kdegridpart

[virtual]

KAboutData* createAboutData ()

### createAboutData

[static]

void setReadWrite (bool rw)

### setReadWrite

[virtual]

hk_kdegrid* grid (void)

### grid

bool openFile ()

### openFile

[protected virtual]

bool saveFile ()

### saveFile

[protected virtual]

void show_gridcolumndialog (void)

### show_gridcolumndialog

[protected slots virtual slot]

Generated by: horst on notebookhorst on Sun Jan 12 13:32:05 2003, using kdoc 2.0a54.